%define modname pivy

Name:           python-%{modname}
Version:        0.6.5a2
%define subrel  1
Release:        %mkrel 1
Summary:        Pivy is a Coin binding for Python
License:        BSD
Group:          Development/Python
Url:            https://github.com/FreeCAD/pivy
Source0:        https://github.com/FreeCAD/pivy/archive/%{version}/%{name}-%{version}.tar.gz
# From Debian
Patch2:         fix_python_modules.patch
Patch4:         0004-Include-Path-workaround.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Coin)
BuildRequires:  pkgconfig(SoQt)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  swig


%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%package -n     python3-%{modname}
Summary:        Pivy is a Coin binding for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Pivy is a Coin binding for Python3. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%prep
%setup -q -n %{modname}-%{version}
%autopatch -p1

%build
# use setup_old.py until we have a Coin with cmake support
mv setup.py setup_new.py
mv setup_old.py setup.py

%{py3_build ; rm pivy/coin_wrap.cpp pivy/gui/soqt_wrap.cpp }

%install
%py3_install -- --install-lib=%{python3_sitearch}

chmod +x %{buildroot}%{python3_sitearch}/%{modname}/sogui.py

find %{buildroot}%{python3_sitearch} -name "*.py" -exec sed -i "s|#!/usr/bin/env python|#!%{__python3}|" {} \;

%files -n python3-%{modname}
%{python3_sitearch}/Pivy-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{modname}/


%changelog
* Mon Oct 14 2019 daviddavid <daviddavid> 0.6.5a2-1.1.mga7
+ Revision: 1452889
- drop python2 support (unneeded and have a collision between py2 and py3)
- new version: 0.6.5a2 (fixes mga#25558)

* Sun Apr 07 2019 daviddavid <daviddavid> 0.6.4-1.mga7
+ Revision: 1386540
- new version: 0.6.4
- add Python3 support
- add some debian patches

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-7.mga7
+ Revision: 1300546
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 0.5.0-6.mga7
+ Revision: 1218853
- use the correct macros for fix install location for 64bit systems

* Sun Apr 15 2018 daviddavid <daviddavid> 0.5.0-5.mga7
+ Revision: 1218829
- rename python-pivy to python2-pivy
- fix install location for 64bit systems
- use new python macros

* Tue Feb 16 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 962265
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.5.0-3.mga6
+ Revision: 893845
- rebuild now that recreate_srpm does not fail anymore

* Wed Aug 05 2015 tv <tv> 0.5.0-2.mga6
+ Revision: 861401
- do not use %%py_requires

* Tue Jan 13 2015 shlomif <shlomif> 0.5.0-2.mga5
+ Revision: 810382
- Importing python-pivy (thanks to Richard Houser)


* Sat Jan 10 2015 Richard Houser <rick@divinesymphony.net> - 0.5-2
- Based on some preliminary packaging work by Pete Wallace
